<?php
include("head.php");
include("header.php");

// Delete expense if del_id is set
if (isset($_GET['del_id'])) {
    $id = mysqli_real_escape_string($con, $_GET['del_id']); 
    $qry =  "DELETE FROM expense WHERE id='$id'";
    mysqli_query($con, $qry);
    echo "<script>window.location = 'expense.php?success_alert2';</script>";
    exit;
}

// Add new expense if add_expense form is submitted
if (isset($_POST['add_expense'])) {
    $expense_category = mysqli_real_escape_string($con, $_POST['expense_category']);
    $title = mysqli_real_escape_string($con, $_POST['title']);
    $amount = mysqli_real_escape_string($con, $_POST['amount']);
    
    $income_date = mysqli_real_escape_string($con, $_POST['income_date']);

    // Insert expense into database
    $sql = "INSERT INTO expense (expense_category, title, amount, date, date_time) VALUES ('$expense_category', '$title', '$amount', '$income_date', NOW())";
    if (mysqli_query($con, $sql)) {
        echo "<script>window.location = 'expense.php?success_alert1';</script>";
        exit;
    } else {
        echo "Error: " . $sql . "<br>" . mysqli_error($con);
    }
}

// Fetch all expense categories
$qry_categories = "SELECT * FROM expense_categories";
$expense_categories = mysqli_query($con, $qry_categories);

// Fetch all expenses based on date
if (isset($_GET['date'])) {
    $date = mysqli_real_escape_string($con, $_GET['date']);
} else {
    $date = date('Y-m-d');
}

$qry = "SELECT expense.*, expense_categories.name AS category_name 
        FROM expense 
        LEFT JOIN expense_categories ON expense.expense_category = expense_categories.id 
        WHERE expense.date = '$date' 
        ORDER BY expense.date_time DESC";
$expenses = mysqli_query($con, $qry);
?>

<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h4 class="page-header">Manage Expenses</h4>
        </div>
    </div>

    <!-- Date selection form -->
    <div class="row">
        <div class="col-lg-12"> 
            <form role="form" method="GET" action="">
                <div class="form-group col-lg-4">
                    <label>Date</label>
                    <input type="date" class="form-control" name="date" value="<?php echo $date; ?>" autocomplete="off">
                </div>
                <div class="form-group col-lg-3">
                    <label>Action</label>
                    <input type="submit" name="change_date" class="form-control btn btn-default" value="Change Date">
                </div>
            </form>
            <div style="clear:both">&nbsp;</div>
            <hr>
        </div>
    </div>

    <!-- List of expenses -->
    <div class="row">
        <div class="col-lg-8">
            <div class="panel panel-default">
                <div class="panel-heading">
                    List of Expenses | <?php echo $date; ?>
                </div>
                <div class="panel-body">
                    <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-example">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Category</th>
                                <th>Title</th>
                                <th>Amount</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $index = 1;
                            while ($row = mysqli_fetch_assoc($expenses)) {
                                echo "<tr class='gradeA'>
                                    <td class='center'>$index</td>
                                    <td class='center'>{$row['category_name']}</td>
                                    <td class='center'>{$row['title']}</td>
                                    <td class='center'>{$row['amount']}</td>
                                    <td class='center'>{$row['date']}</td>
                                </tr>";
                                $index++;
                            }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        
                <div class="col-lg-4">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Add New Expense
                </div>
                <div class="panel-body">
                    <form role="form" method="POST" action="">
                        <div class="form-group">
                            <label>Expense Category</label>
                            <select class="form-control" name="expense_category" required>
                                <option value="">Select Category</option>
                                <?php
                                while ($cat_row = mysqli_fetch_assoc($expense_categories)) {
                                    echo "<option value='{$cat_row['id']}'>{$cat_row['name']}</option>";
                                }
                                ?>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Title</label>
                            <input class="form-control" name="title" placeholder="Enter expense title" autocomplete="off" required>
                        </div>
                        <div class="form-group">
                            <label>Amount</label>
                            <input type="number" class="form-control" name="amount" placeholder="Enter expense amount" autocomplete="off" required>
                        </div>
                        
                        <div class="form-group">
                            <label>Date</label>
                            <input type="date" class="form-control" value="<?php echo $date; ?>" name="income_date" placeholder="Enter Date" autocomplete="off" required>
                        </div>
                        
                        
                        <div class="form-group">
                            <button type="submit" name="add_expense" class="btn btn-default">Add Expense</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        
        
    </div>

</div>

<?php
include("footer.php");
?>
