<?php
include("head.php");
include("header.php");

if (isset($_GET['change_date'])) {
    $date = mysqli_real_escape_string($con, $_GET['date']);
} else {
    $date = date('Y-m-d');
}
?>
<style>
    table td {
        font-size: 12px;
    }
    table th {
        font-size: 12px;
        font-weight: bold;
    }
    .m-btn {
        display: inline-block;
        font-size: 10px;
        padding: 5px;
        margin: 5px;
    }
</style>
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h4 class="page-header">All Incomes</h4>
        </div>
    </div>
    
    <div class="row">
        <div class="col-lg-12"> 
            <form role="form" method="GET" action="">
                <div class="form-group col-lg-4">
                    <label>Date</label>
                    <input type="date" class="form-control" name="date" value="<?php echo $date; ?>" autocomplete="off">
                </div>
                <div class="form-group col-lg-3">
                    <label>Action</label>
                    <input type="submit" name="change_date" class="form-control btn btn-default" value="Change Date">
                </div>
            </form>
            <div style="clear:both">&nbsp;</div>
            <hr>
        </div>
    </div>
    
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    List of Incomes | <?php echo $date; ?> 
                    <a style="float:right;" href="income_add.php">Add New Income</a>
                </div>
                <div class="panel-body">
                    <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-example">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Id</th>
                                <th>Title</th>
                                <th>Amount</th>
                                <th>Type</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $qry = "
                                SELECT income.*, 
                                       installments.installment_amount, installments.due_date, 
                                       loans.principle_amount, loans.interest_rate, loans.total_amount, 
                                       members.name AS member_name, members.father_name, members.mobile_number 
                                FROM income 
                                LEFT JOIN installments ON income.installment_id = installments.id 
                                LEFT JOIN loans ON income.loan_id = loans.id 
                                LEFT JOIN members ON loans.member_id = members.id 
                                WHERE income.date = '$date' 
                                ORDER BY income.date_time DESC
                            ";

                            $incomes = mysqli_query($con, $qry);
                            $index = 1;

                            while ($row = mysqli_fetch_assoc($incomes)) {
                                $installmentDetail = "";
                                $loanDetail = "";
                                $memberDetail = "";

                                if ($row['type'] == 'installment' || $row['type'] == 'penalty') {
                                    $installmentDetail = "Installment Amount: " . $row['installment_amount'] . ", Due Date: " . $row['due_date'];
                                    $loanDetail = "Loan Amount: " . $row['principle_amount'] . ", Interest Rate: " . $row['interest_rate'] . "%, Total Amount: " . $row['total_amount'];
                                    $memberDetail = "Member: " . $row['member_name'] . ", Father's Name: " . $row['father_name'] . ", Mobile: " . $row['mobile_number'];
                                }

                                echo "<tr class='gradeA'>
                                    <td class='center'>$index</td>
                                    <td class='center'>{$row['id']}</td>
                                    <td class='center'><b>{$row['title']}</b> <br> {$installmentDetail}<br>{$loanDetail}<br>{$memberDetail} </td>
                                    <td class='center'>{$row['amount']}</td>
                                    <td class='center'>{$row['type']} </td>
                                    <td class='center'>" . date('d-m-Y h:i A', strtotime($row['date_time'])) . "</td>
                                </tr>";

                               

                                $index++;
                            }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
$export_in_datatable = 1;
include("footer.php");
?>
