<?php
include("head.php");
include("header.php");


if(isset($_GET['mark_paid'])){
    $installment_id = intval($_GET['installment_id']);
    $loan_id = intval($_GET['loan_id']);
    $amount = clean_input($_GET['amount']);
    $today_date = date('Y-m-d');
    $today_date_time = date('Y-m-d H:i:s');

    // Start a transaction
    mysqli_begin_transaction($con);

    try {
        // Update installment status
        $qry = "UPDATE installments SET status=1, paid_date='$today_date' WHERE id='$installment_id'";
        if(!mysqli_query($con, $qry)) {
            throw new Exception("Error updating installment: " . mysqli_error($con));
        }

        // Insert into income table
        $insert_income_qry = "INSERT INTO income (type, loan_id, installment_id, amount, title, date, date_time) 
                              VALUES ('installment', '$loan_id', '$installment_id', '$amount', 'Installment Payment', '$today_date', '$today_date_time')";
        if(!mysqli_query($con, $insert_income_qry)) {
            throw new Exception("Error inserting into income: " . mysqli_error($con));
        }

        // Update loans table
        $update_loan_qry = "UPDATE loans SET due_amount = due_amount - $amount, paid_amount = paid_amount + $amount WHERE id='$loan_id'";
        if(!mysqli_query($con, $update_loan_qry)) {
            throw new Exception("Error updating loan: " . mysqli_error($con));
        }

        // Commit the transaction
        mysqli_commit($con);

        // Redirect on success
        echo "<script>window.location = 'installments_overdue.php?success_alert2';</script>";
        exit;
    } catch (Exception $e) {
        // Rollback the transaction on error
        mysqli_rollback($con);
        echo $e->getMessage();
        exit;
    }
}


if (isset($_GET['change_date'])) {
    $date = mysqli_real_escape_string($con, $_GET['date']);
} else {
    $date = date('Y-m-d');
}
?>
<style>
    table td {
        font-size: 12px;
    }
    table th {
        font-size: 12px;
        font-weight: bold;
    }
    .m-btn {
        display: inline-block;
        font-size: 10px;
        padding: 5px;
        margin: 5px;
    }
</style>
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h4 class="page-header">All Due Installments</h4>
        </div>
    </div>
    
    
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    List of Installment Overdue 
                </div>
                <div class="panel-body">
                    <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-example">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Id</th>
                                <th>Title</th>
                                <th>Amount</th>
                                <th>Type</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                        $i = 1;
                        $qry_installments = "SELECT installments.*, members.name AS member_name, members.father_name, members.mobile_number, members.email, members.city, members.pincode
                            FROM installments
                            JOIN loans ON installments.loan_id = loans.id
                            JOIN members ON loans.member_id = members.id
                            WHERE installments.due_date <= '$date' AND installments.status = '0'
                            ORDER BY installments.id;";
                        $result_installments = mysqli_query($con, $qry_installments);
                        while ($row_installment = mysqli_fetch_assoc($result_installments)) {
                            $installment_status = getInstallmentStatus($row_installment['status']);
                            $installment_class = ($row_installment['status'] == 1) ? "installment-paid" : "installment-due";
                        ?>
                            <tr class="<?php echo $installment_class; ?>">
                                <td>#</td>
                                <td><b><?php echo $row_installment['member_name']; ?> - <?php echo $row_installment['father_name']; ?></b> <br> 
                                        <?php echo $row_installment['mobile_number']; ?> - <?php echo $row_installment['city']; ?> <br>
                                        Loan No: <?php echo $row_installment['loan_id'];?> <br>
                                        Installment No: <?php echo $row_installment['id']; ?>
                                </td>
                                <td><?php echo $row_installment['installment_amount']; ?></td>
                                <td><?php echo date('d-m-Y', strtotime($row_installment['due_date'])); ?></td>
                                <td><?php echo $installment_status; ?></td>
                                <td>
                                    <?php if($row_installment['status'] == 0){?>
                                        <a href="?mark_paid&installment_id=<?php echo $row_installment['id']; ?>&loan_id=<?php echo $row_installment['loan_id'];?>&amount=<?php echo $row_installment['installment_amount']; ?>" class="btn btn-danger m-btn" onclick="return confirmAction();">Mark Paid</a>
                                    <?php }?>
                                </td>
                            </tr>
                        <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
$export_in_datatable = 1;
include("footer.php");
?>
