<?php
include("dbconnect.php");
include("functions.php");
include("commen_css.php");
mysqli_set_charset($con, 'utf8');
require_once("functions.php");

// Check if loan ID is provided in the URL
if (isset($_GET['id'])) {
    $loan_id = intval($_GET['id']);

    // Query to fetch loan details along with necessary member details
    $qry_loan = "SELECT loans.*, members.name AS member_name, members.father_name as fname, members.mobile_number, members.email, members.city, members.pincode,
                 members.member_photo_url, members.proof1_url, members.proof2_url, members.witness_proof_url
                 FROM loans 
                 INNER JOIN members ON loans.member_id = members.id 
                 WHERE loans.id = $loan_id";

    $result_loan = mysqli_query($con, $qry_loan);

    if ($result_loan && mysqli_num_rows($result_loan) > 0) {
        $loan = mysqli_fetch_assoc($result_loan);

        // Query to fetch installments for the loan
        $qry_installments = "SELECT * FROM installments WHERE loan_id = $loan_id ORDER BY id";
        $result_installments = mysqli_query($con, $qry_installments);

        // Query to fetch penalties for the loan
        $qry_penalties = "SELECT * FROM penalties WHERE loan_id = $loan_id ORDER BY id";
        $result_penalties = mysqli_query($con, $qry_penalties);
?>
<!DOCTYPE html>
<html>
<head>
    <title>Print Loan Details</title>
    <script src="assets/js/jquery-1.11.0.min.js"></script>
 <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <style type="text/css">
    	
        .new-table td {text-align: left;font-size: 16px;padding-left: 10px;line-height: 30px;}   
        p{font-size: 14px; text-align:left;font-weight:600; margin:5px;text-transform: uppercase;color: var(--primary-color);margin-top: 35px;}
        .fa{color: var(--primary-color);}
        hr{color: #000;}
        .installment-due {
  background-color: #ef4141;
}
.installment-paid {
            background-color: #03560d; /* Greenish for paid installments */
        }
        .installment-due {
            background-color: #ef4141; /* Reddish for due installments */
        }
        .penalty-paid {
            background-color: #03560d; /* Greenish for paid penalties */
        }
        .penalty-due {
            background-color: #ef4141; /* Reddish for due penalties */
        }
        
        .installment-due td {
          color: white;
        }
        
        .installment-paid td {
          color: white;
        }

    </style>
    
    
    <script>
        function printPage() {
            window.print();
        }
    </script>
</head>
<body onload="javascript:window.print();" style="">
    <div id="print-content">
        
        <table class="img-back" style="width:100%; border-collapse:collapse;border: 2px solid #000; margin-top: 10px; page-break-after: always;" border="1" >
            <tr>
                <td style="border-bottom: none;">
                      <table style="width:100%; border-collapse:collapse;margin-top: 5px;" border="0" >
						    <tbody>
						        <tr>
						            
						            <td style="line-height: none !important;">
						            <div style="display: flex;">
						                <div>
						                    <img src="../dist/img/ananda-group-logo.png" style="max-width: 80px;">
						                </div>
						                <div style="margin-top: 3px;margin-left: 10px;">
						                    <div style="font-size: 24px;font-weight: 1000; color: var(--primary-color);font-family: arial;"><?php echo get_systemTitle(); ?></div>
						                    <div style="font-size: 13px;font-weight: 300;"><?php echo get_address(); ?></div>
						                    <div style="font-size: 13px;font-weight: 300;">
						                    <i class="fa fa-envelope"></i>  <?php echo get_emailAddress(); ?> &nbsp; 
						                    <i class="fa fa-whatsapp" aria-hidden="true"></i>  <?php echo get_whatsAppNo(); ?>&nbsp; 
						                    <i class="fa fa-mobile" aria-hidden="true"></i> <?php echo get_phoneNo(); ?> 
						                </div>
						                </div>
						            </div>
						                
						            </td>
						        </tr>
						        
                            </tbody>
					    </table>
					    <hr> 
					    <p style="font-size: 20px;font-weight: 600;text-align: center;text-transform: uppercase;margin-top: 15px;">Loan Detail's </p>
                </td>
            </tr>
               
            <tr>    
                <td style="border-top: none;">
                    <table style="width:100%; border-collapse:collapse;border: 0px solid #ccc; margin-top: 5px; padding:10px; font-size: 11px;margin-top: 15px;    margin-bottom: 15px;" border="0" class="new-table">
                        <tr style="">
                            <td><b> </b> </td><td></td>
                            <td colspan="" rowspan="4">
                                <center>
            				            <?php
                                            // Loop through the document fields and display them
                                            foreach (['member_photo_url'] as $file_field) {
                                                if (!empty($loan[$file_field])) {
                                                    $imagePath = "../uploads/" . $loan[$file_field];
                                            ?>
                                                    <div style="height:100px;width:100px;display: flex;align-items: center;justify-content: center;overflow: hidden;border: solid 4px var(--primary-color);">
                                                            <img src="<?php echo $imagePath; ?>" alt="Document" style="width:100px;">
                                                    </div>
                                            <?php
                                                }
                                            }
                                        ?>
            			        </center>
            			    </td>
            			</tr> 
            
                        <tr>
            			    <td><b>Name : </b><?php echo $loan['member_name']; ?></td>
            			    <td><b>Father Name : </b><?php echo $loan['fname']; ?></td>
            			</tr>
            
                        <tr>
            			    <td><b>Mobile No : </b><?php echo $loan['mobile_number']; ?></td>
            			    <td><b>Address : </b><?php echo $loan['city'] . " - " . $loan['pincode']; ?></td>
            			    
                        </tr>
            
                        <tr>
            		        <td><b>Email : </b><?php echo $loan['email']; ?></td>
            		        <td><b> </b></td>
            		    </tr>
            
                        
                    </table>
                </td>
                    
            </tr>
            
            <tr>
                <td style="padding: 10px;">
                    <p style="color: var(--primary-color);"><i class="fa fa-rupee"></i> Finance information</p>
					    					    
					    <table class="table-milan" style="width:100%; border-collapse:collapse;  margin-top: 5px; border: 1px solid black;" border="1" >
                            <tbody>
                                
                                
                                <tr>
                                    <td><b>Loan A/C No :</b> &nbsp;<?php echo $loan['id']; ?></td>
                                    <td><b>Principal Amount :</b> <i class="fa fa-rupee"></i>&nbsp;<?php echo sprintf("%.2f", $loan['principle_amount']); ?></td>
                                    <td><b>Interest Amount :</b> <i class="fa fa-rupee"></i>&nbsp;<?php echo sprintf("%.2f", $loan['interest_amount']); ?></td>
                                </tr>
                                <tr>
                                    <td><b>Total Amount :</b> <i class="fa fa-rupee"></i>&nbsp;<?php echo sprintf("%.2f", $loan['total_amount']); ?></td>
                                    <td><b>Due Amount :</b> <i class="fa fa-rupee"></i>&nbsp;<?php echo sprintf("%.2f", $loan['due_amount']); ?></td>
                                    <td><b>Paid Amount :</b> <i class="fa fa-rupee"></i>&nbsp;<?php echo sprintf("%.2f", $loan['paid_amount']); ?></td>
                                </tr>
                                <tr>
                                    <td><b>Total Penalty Paid :</b> <i class="fa fa-rupee"></i>&nbsp;<?php echo sprintf("%.2f", $loan['total_penalty']); ?></td>
                                    <td><b>Status :</b> <i class="fa fa-flag"></i>&nbsp;<?php echo ($loan['status'] == '1') ? 'Active' : 'Inactive'; ?></td>
                                    <td><b>Loan Type :</b> <i class="fa fa-sitemap"></i>&nbsp;<?php echo $loan['installment_type']; ?></td>
                                </tr>
                                
                                <tr>
                                    <td><b>Date Creation :</b> <i class="fa fa-calendar"></i>&nbsp;<?php echo date('d-m-Y', strtotime($loan['date_created'])); ?></td>
                                    <td><b>Start Date :</b> <i class="fa fa-calendar"></i>&nbsp;<?php echo date('d-m-Y', strtotime($loan['start_date'])); ?></td>
                                    <td><b>End Date :</b> <i class="fa fa-calendar"></i>&nbsp;<?php echo date('d-m-Y', strtotime($loan['end_date'])); ?></td>
                                    
                                </tr>
                            
                            </tbody>
                        </table>
                </td>
            </tr>
        </table>
        
       
  
        <!-- Installments Section -->
        <table  style="width:100%; border-collapse:collapse;border: 2px solid #000; margin-top: 10px; page-break-after: always;" border="1">
            <thead>
                <tr>
                    <th colspan="5">Installments Details</th>
                </tr>
                <tr>
                    <?php
                    $qry_installments_summery = "SELECT COUNT(*) AS total_installments, SUM(CASE WHEN status = 1 THEN 1 ELSE 0 END) AS paid_installments, SUM(CASE WHEN status = 0 THEN 1 ELSE 0 END) AS due_installments FROM installments WHERE loan_id = $loan_id";
                    $result_installments_summery = mysqli_query($con, $qry_installments_summery);
                    while ($row_installment_summery = mysqli_fetch_assoc($result_installments_summery)) {  ?>
                    <th colspan="5">Total : <?php echo $row_installment_summery['total_installments'];?> | Paid: <?php echo $row_installment_summery['paid_installments'];?>| Due:<?php echo $row_installment_summery['due_installments'];?></th>
                    
                    <?php } ?>
                </tr>
                <tr>
                    <th>#</th>
                    <th>Amount</th>
                    <th>Due Date</th>
                    <th>Status</th>
                    <th>Signature</th>
                </tr>
            </thead>
            <tbody>
                <?php
                $i = 1;
                while ($row_installment = mysqli_fetch_assoc($result_installments)) {
                    $installment_status = ($row_installment['status'] == 1) ? "Paid" : "Due";
                    $installment_class = ($row_installment['status'] == 1) ? "installment-paid" : "installment-due";
                    ?>
                    <tr class="<?php echo $installment_class; ?>">
                        <td><?php echo $i++; ?></td>
                        <td><?php echo $row_installment['installment_amount']; ?></td>
                        <td><?php echo date('d-m-Y', strtotime($row_installment['due_date'])); ?></td>
                        <td><?php echo $installment_status; ?></td>
                        <td>&nbsp;</td>
                        
                    </tr>
                    <?php } ?>
            </tbody>
        </table>

        
       <table style="width:100%; border-collapse:collapse;border: 2px solid #000; margin-top: 10px; page-break-after: always;" border="1">
                        <thead>
                            <tr>
                                <th colspan="6">Penalties Details</th>
                            </tr>
                            <tr>
                                <th>#</th>
                                <th>Ref. Number</th>
                                <th>Amount</th>
                                <th>Installment</th> 
                                <th>Status</th>
                                <th>Signature</th> 
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $j = 1;
                            while ($row_penalty = mysqli_fetch_assoc($result_penalties)) {
                                $penalty_status = ($row_penalty['status'] == 1) ? "Paid" : "Due";
                                $penalty_class = ($row_penalty['status'] == 1) ? "penalty-paid" : "penalty-due";
                            ?>
                                <tr class="<?php echo $penalty_class; ?>">
                                    <td><?php echo $j++; ?></td>
                                    <td><?php echo $row_penalty['id']; ?></td>
                                    <td><?php echo $row_penalty['amount']; ?></td> 
                                    <td><?php echo date('d-m-Y', strtotime($row_penalty['installment_due_date'])); ?> <?php echo $row_penalty['installment_amount']; ?></td>
                                    <td><?php echo $penalty_status; ?></td>
                                    <td>&nbsp;</td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
      
    </div>
</body>
</html>
<?php
    } else {
        echo "<div><div>Loan not found.</div></div>";
    }
} else {
    echo "<div><div>Loan ID not provided.</div></div>";
}
?>

