<?php
include("head.php");
include("header.php");
echo '<div id="log_div">';


if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['add_user'])) {
    
    // Clean and get form data
    $name = clean_input($_POST['name']);
    $father_name = clean_input($_POST['father_name']);
    $mobile_number = clean_input($_POST['mobile_number']);
    $alt_mobile_number = clean_input($_POST['alt_mobile_number']);
    $email = clean_input($_POST['email']);
    $city = clean_input($_POST['city']);
    $pincode = clean_input($_POST['pincode']);
    $witness_name = clean_input($_POST['witness_name']);

    // Initialize variables for file uploads
    $uploads_dir = '../uploads/';
    $member_photo_url = $proof1_url = $proof2_url = $witness_proof_url = '';

    // Handle file uploads
    foreach (['member_photo_url', 'proof1_url', 'proof2_url', 'witness_proof_url'] as $file_field) {
        if (isset($_FILES[$file_field]) && $_FILES[$file_field]['error'] == UPLOAD_ERR_OK) {
            $tmp_name = $_FILES[$file_field]['tmp_name'];
            $original_name = basename($_FILES[$file_field]['name']);
            $file_extension = pathinfo($original_name, PATHINFO_EXTENSION);
            if (in_array($file_extension, ['jpg', 'jpeg', 'png', 'pdf'])) { // Allow only images
                $unique_name = uniqid() . '.' . $file_extension;
                $target_file = $uploads_dir . $unique_name;
                if (move_uploaded_file($tmp_name, $target_file)) {
                    $$file_field = $unique_name; // Save the file name to the variable
                    echo "Uploaded $file_field as $unique_name.<br>"; // Debugging statement
                } else {
                    echo "Failed to upload $file_field. ";
                    error_log("Failed to move uploaded file for $file_field. Temp name: $tmp_name, Target file: $target_file");
                }
            } else {
                echo "Invalid file type for $file_field. Only JPG, JPEG, and PNG are allowed. ";
            }
        } else {
            echo "Error uploading $file_field: " . $_FILES[$file_field]['error'] . ". ";
            error_log("Error code " . $_FILES[$file_field]['error'] . " for $file_field");
        }
    }

    // Debugging statements to verify file paths
    //echo "member_photo_url: $member_photo_url<br>";
    //echo "proof1_url: $proof1_url<br>";
    //echo "proof2_url: $proof2_url<br>";
    //echo "witness_proof_url: $witness_proof_url<br>";

    // Insert data into the database
    $stmt = $con->prepare("INSERT INTO members (name, father_name, mobile_number, alt_mobile_number, email, city, pincode, witness_name, member_photo_url, proof1_url, proof2_url, witness_proof_url, created_date, status) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
    $created_date = date('Y-m-d'); // Current date
    $status = 1; // Default status
    $stmt->bind_param("sssssssssssssi", $name, $father_name, $mobile_number, $alt_mobile_number, $email, $city, $pincode, $witness_name, $member_photo_url, $proof1_url, $proof2_url, $witness_proof_url, $created_date, $status);

    if ($stmt->execute()) {
        echo "New member added successfully!";
    } else {
        echo "Error: " . $stmt->error;
    }

    // Close the statement and connection
    $stmt->close();
    $con->close();
}
echo '</div>';
?>

<div id="page-wrapper">
            <div class="row">
                <div class="col-lg-12">
                    <h4 class="page-header">Add Member</h4>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            Enter Customer Details
                        </div>
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    <form role="form" method="POST" action="member_add.php" enctype="multipart/form-data">
                                       <div class="form-group col-lg-6">
                                            <label>Full Name</label>
                                            <input class="form-control" name="name" placeholder="Enter Your Name" autocomplete="off" required>
                                        </div>
										
										<div class="form-group col-lg-6">
                                            <label>Father Name</label>
                                            <input class="form-control" name="father_name" placeholder="Enter Father Name" autocomplete="off" required>
                                        </div>
										
										<div class="form-group col-lg-6">
                                            <label>Mobile Number (Whatsapp First)</label>
                                            <input class="form-control" name="mobile_number" placeholder="10 Digit No" autocomplete="off" required>
                                        </div>
                                        
                                        <div class="form-group col-lg-6">
                                            <label>Alternative Mobile Number </label>
                                            <input class="form-control" name="alt_mobile_number" placeholder="10 Digit No" autocomplete="off">
                                        </div>
                                        
                                        <div class="form-group col-lg-6">
                                            <label>Email Address</label>
                                            <input class="form-control" name="email" placeholder="Enter you Email Address" autocomplete="off">
                                        </div>
                                        
                                        <div class="form-group col-lg-6">
                                            <label>Address</label>
                                            <input class="form-control" name="city" placeholder="Enter Villege/City name" autocomplete="off" required>
                                        </div>
                                        
                                        <div class="form-group col-lg-6">
                                            <label>Pincode</label>
                                            <input class="form-control" name="pincode" placeholder="Enter pincode number" autocomplete="off" required>
                                        </div>
                                        
                                        <div class="form-group col-lg-6">
                                            <label>Witness Full Name</label>
                                            <input class="form-control" name="witness_name" placeholder="Enter Witness Name" autocomplete="off" required>
                                        </div>
                                        
                                        <div style="clear:both;">&nbsp;</div>
                                        
                                        <div class="form-group col-lg-6">
                                            <p>Note: please upload all the image of photo and proof less then 400kb</p>
                                        </div>
                                        
                                        <div style="clear:both;">&nbsp;</div>
										
										
										<div class="form-group col-lg-4">
                                            <label>Photo of Member (jpeg/jpg)</label>
                                            <input type="file" class="form-control" accept="image/*" name="member_photo_url" autocomplete="off">
                                        </div>
                                        
                                        <div class="form-group col-lg-4">
                                            <label>Address Proof (jpeg/jpg)</label>
                                            <input type="file" class="form-control" accept="image/*" name="proof1_url" autocomplete="off">
                                        </div>
                                        
                                        <div class="form-group col-lg-4">
                                            <label>Other Proof (jpeg/jpg/Pdf)</label>
                                            <input type="file" class="form-control" accept="image/*" name="proof2_url" autocomplete="off">
                                        </div>
                                        
                                        <div class="form-group col-lg-4">
                                            <label>Witness Address Proof (jpeg/jpg)</label>
                                            <input type="file" class="form-control" accept="image/*" name="witness_proof_url" autocomplete="off">
                                        </div>
                                        
                                         <div style="clear:both;">&nbsp;</div>
                                        

                                        <div class="form-group col-lg-6">
                                        <button type="submit" name="add_user" class="btn btn-default">Add Member</button>
                                        </div>
                                        
                                    </form>
                                </div>
                           
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
<?php
include("footer.php");
?>

