<?php
include("head.php");
include("header.php");
echo '<div id="log_div">';

if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['update_user'])) {
    $member_id = intval($_GET['id']);
    
    // Clean and get form data
    $name = clean_input($_POST['name']);
    $father_name = clean_input($_POST['father_name']);
    $mobile_number = clean_input($_POST['mobile_number']);
    $alt_mobile_number = clean_input($_POST['alt_mobile_number']);
    $email = clean_input($_POST['email']);
    $city = clean_input($_POST['city']);
    $pincode = clean_input($_POST['pincode']);
    $witness_name = clean_input($_POST['witness_name']);
    
    // Initialize variables for file uploads
    $uploads_dir = '../uploads/';
    $member_photo_url = $proof1_url = $proof2_url = $witness_proof_url = '';
    
    // Handle file uploads
    foreach (['member_photo_url', 'proof1_url', 'proof2_url', 'witness_proof_url'] as $file_field) {
        if (isset($_FILES[$file_field]) && $_FILES[$file_field]['error'] == UPLOAD_ERR_OK) {
            $tmp_name = $_FILES[$file_field]['tmp_name'];
            $original_name = basename($_FILES[$file_field]['name']);
            $file_extension = pathinfo($original_name, PATHINFO_EXTENSION);
            if (in_array($file_extension, ['jpg', 'jpeg', 'png', 'pdf'])) { // Allow only images
                $unique_name = uniqid() . '.' . $file_extension;
                $target_file = $uploads_dir . $unique_name;
                if (move_uploaded_file($tmp_name, $target_file)) {
                    $$file_field = $unique_name; // Save the file name to the variable
                    echo "Uploaded $file_field as $unique_name.<br>"; // Debugging statement
                } else {
                    echo "Failed to upload $file_field. ";
                    error_log("Failed to move uploaded file for $file_field. Temp name: $tmp_name, Target file: $target_file");
                }
            } else {
                echo "Invalid file type for $file_field. Only JPG, JPEG, and PNG are allowed. ";
            }
        } else {
            echo "Error uploading $file_field: " . $_FILES[$file_field]['error'] . ". ";
            error_log("Error code " . $_FILES[$file_field]['error'] . " for $file_field");
        }
    }
    
    // Update data in the database
    $qry = "UPDATE members SET 
                name = '$name', 
                father_name = '$father_name', 
                mobile_number = '$mobile_number', 
                alt_mobile_number = '$alt_mobile_number', 
                email = '$email', 
                city = '$city', 
                pincode = '$pincode', 
                witness_name = '$witness_name'";

    if ($member_photo_url) $qry .= ", member_photo_url = '$member_photo_url'";
    if ($proof1_url) $qry .= ", proof1_url = '$proof1_url'";
    if ($proof2_url) $qry .= ", proof2_url = '$proof2_url'";
    if ($witness_proof_url) $qry .= ", witness_proof_url = '$witness_proof_url'";

    $qry .= " WHERE id = $member_id";

    if (mysqli_query($con, $qry)) {
        echo "Member updated successfully!";
    } else {
        echo "Error: " . mysqli_error($con);
    }
    

}
echo '</div>';


if (isset($_GET['id'])) {
    $member_id = intval($_GET['id']);

    // Fetch member details using traditional query method
    $qry = "SELECT * FROM members WHERE id = $member_id";
    $result = mysqli_query($con, $qry);
    $member = mysqli_fetch_assoc($result);
    
    if ($member) {
        // Display form with pre-populated values
?>

<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h4 class="page-header">Edit Member</h4>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">Edit Member Details</div>
                <div class="panel-body">
                    <div class="row">
                        <div class="col-lg-12">
                            <form role="form" method="POST" action="member_edit.php?id=<?php echo $member_id; ?>" enctype="multipart/form-data">
                                <div class="form-group col-lg-6">
                                    <label>Full Name</label>
                                    <input class="form-control" name="name" value="<?php echo $member['name']; ?>" autocomplete="off" required>
                                </div>
                                
                                <div class="form-group col-lg-6">
                                    <label>Father Name</label>
                                    <input class="form-control" name="father_name" value="<?php echo $member['father_name']; ?>" autocomplete="off" required>
                                </div>
                                
                                <div class="form-group col-lg-6">
                                    <label>Mobile Number (Whatsapp First)</label>
                                    <input class="form-control" name="mobile_number" value="<?php echo $member['mobile_number']; ?>" autocomplete="off" required>
                                </div>
                                
                                <div class="form-group col-lg-6">
                                    <label>Alternative Mobile Number </label>
                                    <input class="form-control" name="alt_mobile_number" value="<?php echo $member['alt_mobile_number']; ?>" autocomplete="off">
                                </div>
                                
                                <div class="form-group col-lg-6">
                                    <label>Email Address</label>
                                    <input class="form-control" name="email" value="<?php echo $member['email']; ?>" autocomplete="off">
                                </div>
                                
                                <div class="form-group col-lg-6">
                                    <label>Address</label>
                                    <input class="form-control" name="city" value="<?php echo $member['city']; ?>" autocomplete="off" required>
                                </div>
                                
                                <div class="form-group col-lg-6">
                                    <label>Pincode</label>
                                    <input class="form-control" name="pincode" value="<?php echo $member['pincode']; ?>" autocomplete="off" required>
                                </div>
                                
                                <div class="form-group col-lg-6">
                                    <label>Witness Full Name</label>
                                    <input class="form-control" name="witness_name" value="<?php echo $member['witness_name']; ?>" autocomplete="off" required>
                                </div>
                                
                                <div style="clear:both;">&nbsp;</div>
                                
                                <div class="form-group col-lg-6">
                                    <p>Note: please upload all the image of photo and proof less than 400kb</p>
                                </div>
                                
                                <div style="clear:both;">&nbsp;</div>
                                
                                <div class="form-group col-lg-4">
                                    <label>Photo of Member (jpeg/jpg)</label>
                                    <input type="file" class="form-control" accept="image/*" name="member_photo_url" autocomplete="off">
                                    <img src="../uploads/<?php echo $member['member_photo_url']; ?>" width="100" />
                                </div>
                                
                                <div class="form-group col-lg-4">
                                    <label>Address Proof (jpeg/jpg)</label>
                                    <input type="file" class="form-control" accept="image/*" name="proof1_url" autocomplete="off">
                                    <img src="../uploads/<?php echo $member['proof1_url']; ?>" width="100" />
                                </div>
                                
                                <div class="form-group col-lg-4">
                                    <label>Other Proof (jpeg/jpg/Pdf)</label>
                                    <input type="file" class="form-control" accept="image/*" name="proof2_url" autocomplete="off">
                                    <img src="../uploads/<?php echo $member['proof2_url']; ?>" width="100" />
                                </div>
                                
                                <div class="form-group col-lg-4">
                                    <label>Witness Address Proof (jpeg/jpg)</label>
                                    <input type="file" class="form-control" accept="image/*" name="witness_proof_url" autocomplete="off">
                                    <img src="../uploads/<?php echo $member['witness_proof_url']; ?>" width="100" />
                                </div>
                                
                                <div style="clear:both;">&nbsp;</div>
                                
                                <div class="form-group col-lg-6">
                                    <button type="submit" name="update_user" class="btn btn-default">Update Member</button>
                                </div>
                                
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
    } else {
        echo "Member not found.";
    }
}


include("footer.php");
?>
