<?php
include("head.php");
include("header.php");

// Default dates: Today's date for From and To
$from_date = date('Y-m-d');
$to_date = date('Y-m-d');

// Check if dates are provided in the request
if (isset($_POST['generate_report'])) {
    $from_date = mysqli_real_escape_string($con, $_POST['from_date']);
    $to_date = mysqli_real_escape_string($con, $_POST['to_date']);
}

// Fetch total income during the selected date range
$qry_total_income = "SELECT SUM(amount) AS total_income 
                     FROM income 
                     WHERE date BETWEEN '$from_date' AND '$to_date'";
$result_total_income = mysqli_query($con, $qry_total_income);
$total_income = mysqli_fetch_assoc($result_total_income)['total_income'];

// Fetch total expenses during the selected date range
$qry_total_expenses = "SELECT SUM(amount) AS total_expenses 
                       FROM expense 
                       WHERE date BETWEEN '$from_date' AND '$to_date'";
$result_total_expenses = mysqli_query($con, $qry_total_expenses);
$total_expenses = mysqli_fetch_assoc($result_total_expenses)['total_expenses'];

// Fetch total payments received for active loans during the selected date range
$qry_total_payments = "SELECT SUM(paid_amount) AS total_payments 
                       FROM loans 
                       WHERE status = 1 AND paid_amount > 0 AND start_date BETWEEN '$from_date' AND '$to_date'";
$result_total_payments = mysqli_query($con, $qry_total_payments);
$total_payments = mysqli_fetch_assoc($result_total_payments)['total_payments'];

// Fetch total principle amount of active loans
$qry_total_principle = "SELECT SUM(principle_amount) AS total_principle 
                        FROM loans 
                        WHERE status = 1 AND start_date BETWEEN '$from_date' AND '$to_date'";
$result_total_principle = mysqli_query($con, $qry_total_principle);
$total_principle = mysqli_fetch_assoc($result_total_principle)['total_principle'];

// Fetch total interest amount of active loans
$qry_total_interest = "SELECT SUM(interest_amount) AS total_interest 
                       FROM loans 
                       WHERE status = 1 AND start_date BETWEEN '$from_date' AND '$to_date'";
$result_total_interest = mysqli_query($con, $qry_total_interest);
$total_interest = mysqli_fetch_assoc($result_total_interest)['total_interest'];

// Calculate profit
$total_income = floatval($total_income); // Ensure float for precision
$total_expenses = floatval($total_expenses); // Ensure float for precision
$total_payments = floatval($total_payments); // Ensure float for precision
$total_principle = floatval($total_principle); // Ensure float for precision
$total_interest = floatval($total_interest); // Ensure float for precision

$profit = $total_income - $total_expenses - $total_payments;
?>

<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h1 class="page-header">Financial Report</h1>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Generate Report
                </div>
                <div class="panel-body">
                    <form role="form" method="POST" action="">
                        <div class="row">
                            <div class="col-lg-3">
                                <div class="form-group">
                                    <label>From Date</label>
                                    <input type="date" class="form-control" name="from_date" value="<?php echo $from_date; ?>" required>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="form-group">
                                    <label>To Date</label>
                                    <input type="date" class="form-control" name="to_date" value="<?php echo $to_date; ?>" required>
                                </div>
                            </div>
                            <div class="col-lg-3">
                                <div class="form-group" style="margin-top: 25px;">
                                    <button type="submit" name="generate_report" class="btn btn-primary">Generate Report</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-3">
            <div class="panel panel-success">
                <div class="panel-heading">
                    Total Profit
                </div>
                <div class="panel-body">
                    <h3><?php echo number_format($profit, 2); ?></h3>
                </div>
            </div>
        </div>

        <div class="col-lg-3">
            <div class="panel panel-info">
                <div class="panel-heading">
                    Total Income
                </div>
                <div class="panel-body">
                    <h3><?php echo number_format($total_income, 2); ?></h3>
                </div>
            </div>
        </div>

        <div class="col-lg-3">
            <div class="panel panel-danger">
                <div class="panel-heading">
                    Total Expenses
                </div>
                <div class="panel-body">
                    <h3><?php echo number_format($total_expenses, 2); ?></h3>
                </div>
            </div>
        </div>

        <div class="col-lg-3">
            <div class="panel panel-warning">
                <div class="panel-heading">
                    Total Principle Amount
                </div>
                <div class="panel-body">
                    <h3><?php echo number_format($total_principle, 2); ?></h3>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-lg-3">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    Total Paid Amount
                </div>
                <div class="panel-body">
                    <h3><?php echo number_format($total_payments, 2); ?></h3>
                </div>
            </div>
        </div>

        <div class="col-lg-3">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Total Interest Amount
                </div>
                <div class="panel-body">
                    <h3><?php echo number_format($total_interest, 2); ?></h3>
                </div>
            </div>
        </div>
    </div>

</div>

<?php include("footer.php"); ?>
