<?php
include("dbconnect.php");
mysqli_set_charset($con, 'utf8');
require_once("functions.php");

// Check if loan ID is provided in the URL
if (isset($_GET['id'])) {
    $loan_id = intval($_GET['id']);

    // Query to fetch loan details along with necessary member details
    $qry_loan = "SELECT loans.*, members.name AS member_name, members.mobile_number, members.email, members.city, members.pincode,
                 members.member_photo_url, members.proof1_url, members.proof2_url, members.witness_proof_url
                 FROM loans 
                 INNER JOIN members ON loans.member_id = members.id 
                 WHERE loans.id = $loan_id";

    $result_loan = mysqli_query($con, $qry_loan);

    if ($result_loan && mysqli_num_rows($result_loan) > 0) {
        $loan = mysqli_fetch_assoc($result_loan);

        // Query to fetch installments for the loan
        $qry_installments = "SELECT * FROM installments WHERE loan_id = $loan_id ORDER BY id";
        $result_installments = mysqli_query($con, $qry_installments);

        // Query to fetch penalties for the loan
        $qry_penalties = "SELECT p.*,  i.due_date AS installment_due_date, i.installment_amount 
    FROM 
        penalties p
    JOIN 
        installments i ON p.installment_id = i.id
    WHERE p.loan_id = $loan_id ORDER BY p.id";
        $result_penalties = mysqli_query($con, $qry_penalties);
?>
<!DOCTYPE html>
<html>
<head>
    <title>Print Loan Details</title>
    <style>
        .detail-label {
            font-weight: bold;
        }
        .detail-value {
            margin-left: 10px;
        }
        .installment-paid {
            background-color: #03560d; /* Greenish for paid installments */
        }
        .installment-due {
            background-color: #ef4141; /* Reddish for due installments */
        }
        .penalty-paid {
            background-color: #03560d; /* Greenish for paid penalties */
        }
        .penalty-due {
            background-color: #ef4141; /* Reddish for due penalties */
        }
        
        .installment-due td {
          color: white;
        }
        
        .installment-paid td {
          color: white;
        }

        table {border:1px solid blue}
        table th {text-align:left;color: blue;}
        table td {color: black;}
    </style>
    <script>
        function printPage() {
            window.print();
        }
    </script>
</head>
<body onload="javascript:window.print();" style="">
    <div id="print-content">
        
        <table width="100%" border="1" cellpadding="10" style="border:1px solid #000;border-collapse: collapse;">
                        <tbody>
                            <tr>
                                <td> <img src="../dist/img/aandajpg.jpg" style="width: 150px;background: black;border-radius: 25px;margin: 20px 0px;"> 
                                
                                </td>
                                
                                <td style="text-align: right;"> 
                                <h1 style="color:red;margin: 5px 0px;">Ananda Group Finance</h1>
                                <p >Chamunderi - 306504. (Rajasthan) <br> </p>
                                <p >Narendra Singh <br>9664426702</p>
                                </td>
                                
                            </tr>
                        </tbody>
                    </table>
                    
        <div>
            <div>
                <div>
                    <table width="100%" border="1" cellpadding="10" style=" border-collapse: collapse;">
                        <tbody>
                            <tr><th>Loan ID:</th> <td><?php echo $loan['id']; ?></td></tr>
                            <tr><th>Member Name:</th> <td><?php echo $loan['member_name']; ?></td></tr>
                            <tr><th>Principle Amount:</th> <td><?php echo $loan['principle_amount']; ?></td></tr>
                            <tr><th>Interest Amount:</th> <td><?php echo $loan['interest_amount']; ?> (<?php echo $loan['interest_rate']; ?>%)</td></tr>
                            <tr><th>Total Amount:</th> <td><?php echo $loan['total_amount']; ?></td></tr>
                            <tr><th>Due Amount:</th> <td><?php echo $loan['due_amount']; ?></td></tr>
                            <tr><th>Paid Amount:</th> <td><?php echo $loan['paid_amount']; ?></td></tr>
                            <tr><th>Total Penalty:</th> <td><?php echo $loan['total_penalty']; ?></td></tr>
                            <tr><th>Date Created:</th> <td> <?php echo date('d-m-Y', strtotime($loan['date_created'])); ?></td></tr>
                            <tr><th>Start Date:</th> <td><?php echo date('d-m-Y', strtotime($loan['start_date'])); ?></td></tr>
                            <tr><th>End Date:</th> <td><?php echo date('d-m-Y', strtotime($loan['end_date'])); ?></td></tr>
                            <tr><th>Cur Status</th> <td><?php echo ($loan['status'] == '1') ? 'Active' : 'Inactive'; ?></td></tr>
                        </tbody>
                    </table>
                </div>
            </div>
            <br><br>
            <div>
                <div style="display:flex;">
                    <table width="60%" border="1" cellpadding="10" style=" border-collapse: collapse;">
                        <tbody>
                            <tr><th>User ID</th><td><?php echo $loan['member_id']; ?></td></tr>
                            <tr><th>Name</th><td><?php echo $loan['member_name']; ?></td></tr>
                            <tr><th>Mobile</th><td><?php echo $loan['mobile_number']; ?></td></tr>
                            <tr><th>Email</th><td><?php echo $loan['email']; ?></td></tr>
                            <tr><th>City / Pincode</th><td><?php echo $loan['city'] . " - " . $loan['pincode']; ?></td></tr>
                        </tbody>
                    </table>
                    
                    <table width="30%" border="1" cellpadding="10" style=" border-collapse: collapse;">
                        <tbody>
                            <tr><td>
                                <div style="display:flex;">
                                    <?php
                                    // Loop through the document fields and display them
                                    foreach (['member_photo_url', 'proof1_url', 'proof2_url', 'witness_proof_url'] as $file_field) {
                                        if (!empty($loan[$file_field])) {
                                            $imagePath = "../uploads/" . $loan[$file_field];
                                    ?>
                                            <div>
                                                <a href="#" onclick="showImage('<?php echo $imagePath; ?>')">
                                                    <img src="<?php echo $imagePath; ?>" alt="Document" width="100">
                                                </a>
                                            </div>
                                    <?php
                                        }
                                    }
                                    ?>
                                </div>
                            </td></tr>
                        </tbody>
                    </table>
                </div>

            </div>
        </div>
<br><br>
        <!-- Installments Section -->
        <div style="page-break-before: always;">
            <div>
                <div>
                    <table border="1" cellpadding="10" style=" border-collapse: collapse;border:1px solid black">
                        <thead>
                            <tr>
                                <th colspan="5">Installments Details</th>
                            </tr>
                            <tr>
                                <th>#</th>
                                <th>Ref. Number</th>
                                <th>Amount</th>
                                <th>Due Date</th>
                                <th>Status</th>
                                <th>Signature</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $i = 1;
                            while ($row_installment = mysqli_fetch_assoc($result_installments)) {
                                $installment_status = ($row_installment['status'] == 1) ? "Paid" : "Due";
                                $installment_class = ($row_installment['status'] == 1) ? "installment-paid" : "installment-due";
                            ?>
                                <tr class="<?php echo $installment_class; ?>">
                                    <td><?php echo $i++; ?></td>
                                    <td><?php echo $row_installment['id']; ?></td>
                                    <td><?php echo $row_installment['installment_amount']; ?></td>
                                    <td><?php echo date('d-m-Y', strtotime($row_installment['due_date'])); ?></td>
                                    <td><?php echo $installment_status; ?></td>
                                    <td>&nbsp;</td>
                                </tr>
                            <?php } ?> 
                        </tbody> 
                    </table>
                </div>
            </div>
        </div>
        <br><br>
        <!-- Penalties Section -->
        <div>
            <div>
                <div>
                    <table border="1" cellpadding="10" style=" border-collapse: collapse;border:1px solid black">
                        <thead>
                            <tr>
                                <th colspan="5">Penalties Details</th>
                            </tr>
                            <tr>
                                <th>#</th>
                                <th>Ref. Number</th>
                                <th>Amount</th>
                                <th>Installment</th> 
                                <th>Status</th>
                                <th>Signature</th> 
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $j = 1;
                            while ($row_penalty = mysqli_fetch_assoc($result_penalties)) {
                                $penalty_status = ($row_penalty['status'] == 1) ? "Paid" : "Due";
                                $penalty_class = ($row_penalty['status'] == 1) ? "penalty-paid" : "penalty-due";
                            ?>
                                <tr class="<?php echo $penalty_class; ?>">
                                    <td><?php echo $j++; ?></td>
                                    <td><?php echo $row_penalty['id']; ?></td>
                                    <td><?php echo $row_penalty['amount']; ?></td> 
                                    <td><?php echo date('d-m-Y', strtotime($row_penalty['installment_due_date'])); ?> <?php echo $row_penalty['installment_amount']; ?></td>
                                    <td><?php echo $penalty_status; ?></td>
                                    <td>&nbsp;</td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</body>
</html>
<?php
    } else {
        echo "<div><div>Loan not found.</div></div>";
    }
} else {
    echo "<div><div>Loan ID not provided.</div></div>";
}
?>

