<?php
include("head.php");
include("header.php");


if(isset($_GET['penalty_mark_paid'])){
    $penalty_id = intval($_GET['penalty_id']);
    $loan_id = intval($_GET['loan_id']);
    $installment_id = intval($_GET['installment_id']);
    $amount = clean_input($_GET['amount']);
    $today_date = date('Y-m-d');
    $today_date_time = date('Y-m-d H:i:s');

    // Start a transaction
    mysqli_begin_transaction($con);

    try {
        // Update penalty status
        $qry = "UPDATE penalties SET status=1, date_time='$today_date_time' WHERE id='$penalty_id'";
        if(!mysqli_query($con, $qry)) {
            throw new Exception("Error updating penalty: " . mysqli_error($con));
        }

        // Insert into income table
         $insert_income_qry = "INSERT INTO income (type, loan_id, installment_id, amount, title, date, date_time) 
                              VALUES ('penalty', '$loan_id', '$installment_id', '$amount', 'Penalty Payment', '$today_date', '$today_date_time')";
        if(!mysqli_query($con, $insert_income_qry)) {
            throw new Exception("Error inserting into income: " . mysqli_error($con));
        }

        // Update loans table
        $update_loan_qry = "UPDATE loans SET total_penalty = total_penalty + $amount WHERE id='$loan_id'";
        if(!mysqli_query($con, $update_loan_qry)) {
            throw new Exception("Error updating loan: " . mysqli_error($con));
        }

        // Commit the transaction
        mysqli_commit($con);

        // Redirect on success
        echo "<script>window.location = 'panelties_overdue.php?success_alert2';</script>";
        exit;
    } catch (Exception $e) {
        // Rollback the transaction on error
        mysqli_rollback($con);
        echo $e->getMessage();
        exit;
    }
}


if (isset($_GET['change_date'])) {
    $date = mysqli_real_escape_string($con, $_GET['date']);
} else {
    $date = date('Y-m-d');
}
?>
<style>
    table td {
        font-size: 12px;
    }
    table th {
        font-size: 12px;
        font-weight: bold;
    }
    .m-btn {
        display: inline-block;
        font-size: 10px;
        padding: 5px;
        margin: 5px;
    }
</style>
<div id="page-wrapper">
    <div class="row">
        <div class="col-lg-12">
            <h4 class="page-header">All Panelties</h4>
        </div>
    </div>
    
    
    <div class="row">
        <div class="col-lg-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    List of Panelties Overdue 
                </div>
                <div class="panel-body">
                    <table width="100%" class="table table-striped table-bordered table-hover" id="dataTables-example">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Id</th>
                                <th>Title</th>
                                <th>Amount</th>
                                <th>Type</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                        $j = 1;
                        $qry_penalties = "SELECT penalties.*, members.name AS member_name, members.father_name, members.mobile_number, members.email, members.city, members.pincode, installments.id AS installment_id, installments.due_date AS installment_due_date, installments.installment_amount AS mahi_installment_amount
                            FROM penalties
                            JOIN installments ON penalties.installment_id = installments.id
                            JOIN loans ON penalties.loan_id = loans.id
                            JOIN members ON loans.member_id = members.id
                            WHERE penalties.due_date = '$date' AND penalties.status = '0'
                            ORDER BY penalties.id;";
                        $result_penalties = mysqli_query($con, $qry_penalties);
                        while ($row_penalty = mysqli_fetch_assoc($result_penalties)) {
                            $penalty_status = getPenaltyStatus($row_penalty['status']);
                            $penalty_class = ($row_penalty['status'] == 1) ? "penalty-paid" : "penalty-due";
                        ?>
                            <tr class="<?php echo $penalty_class; ?>">
                                <td><?php echo $j++; ?></td>
                                <td><b><?php echo $row_penalty['member_name']; ?> - <?php echo $row_penalty['father_name']; ?></b> <br> 
                                        <?php echo $row_penalty['mobile_number']; ?> - <?php echo $row_penalty['city']; ?> <br>
                                        Loan No: <?php echo $row_penalty['loan_id'];?> <br>
                                        Penalty No: <?php echo $row_penalty['id']; ?> <br>
                                        (Installment Details : <?php echo $row_penalty['installment_due_date'];?> - <?php echo $row_penalty['mahi_installment_amount'];?> )
                                </td>
                                <td><?php echo $row_penalty['amount']; ?></td>
                                <td><?php echo date('d-m-Y', strtotime($row_penalty['due_date'])); ?></td>
                                <td><?php echo $penalty_status; ?></td>
                                <td>
                                    <?php if($row_penalty['status'] == 0){?>
                                        <a href="?penalty_mark_paid&penalty_id=<?php echo $row_penalty['id']; ?>&loan_id=<?php echo $row_penalty['loan_id'];?>&installment_id=<?php echo $row_penalty['installment_id']; ?>&amount=<?php echo $row_penalty['amount']; ?>" class="btn btn-danger m-btn" onclick="return confirmAction();">Mark Paid</a>
                                    <?php }?>
                                </td>
                            </tr>
                        <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php
$export_in_datatable = 1;
include("footer.php");
?>
